package cn.ibizhub.demo.demo.controller;

import cn.ibizhub.demo.demo.domain.SLAVEONEET;
import cn.ibizhub.demo.demo.service.SLAVEONEETService;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.xml.ws.RequestWrapper;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
public class SLAVEONEETcontroller {

    @Autowired
    private SLAVEONEETService slaveoneetService;

    @RequestMapping(value = "/addSLAVEONEET",method = RequestMethod.GET)
    @ResponseBody
    public String addSLAVEONEET(@RequestParam("str") String str){

        SLAVEONEET slaveoneet = new SLAVEONEET();
        slaveoneet.setSlaveoneetname(str);

        slaveoneetService.addSLAVEONEET(slaveoneet);
        return "end";
    }

    @RequestMapping(value = "/deleteSLAVEONEET",method = RequestMethod.GET)
    @ResponseBody
    public String deleteSLAVEONEET( @RequestParam("id") String id ){

        SLAVEONEET slaveoneet = new SLAVEONEET();
        slaveoneet.setSlaveoneetid(id);

        slaveoneetService.deleteSLAVEONEET(slaveoneet);
        return "end";
    }

    @RequestMapping(value = "/updateSLAVEONEET",method = RequestMethod.GET)
    @ResponseBody
    public String updateSLAVEONEET(@RequestParam("str") String str,@RequestParam("id") String id){

        SLAVEONEET slaveoneet = new SLAVEONEET();
        slaveoneet.setSlaveoneetid(id);
        slaveoneet.setSlaveoneetname(str);
        slaveoneetService.updateSLAVEONEET(slaveoneet);
        return "end";
    }

    @RequestMapping(value = "/selectSLAVEONEETall",method = RequestMethod.GET)
    @ResponseBody
    public String selectSLAVEONEETall(){

        List<SLAVEONEET> list = slaveoneetService.selectSLAVEONEETall();
        StringBuilder sb = new StringBuilder();
        for (SLAVEONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectSLAVEONEET",method = RequestMethod.GET)
    @ResponseBody
    public String selectSLAVEONEET(@RequestParam("id") String id){

        SLAVEONEET slaveoneet = slaveoneetService.selectSLAVEONEET(id);
        return slaveoneet.toString();
    }

	@RequestMapping(value = "/selectSLAVEONEETSlaveoneetnamelike",method = RequestMethod.GET)
    @ResponseBody
    public String selectSLAVEONEETSlaveoneetnamelike(@RequestParam("str") String str){

        List<SLAVEONEET> list = slaveoneetService.findBySlaveoneetnameContaining(str);
        StringBuilder sb = new StringBuilder();
        for (SLAVEONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }


}
