package cn.ibizhub.demo.demo.controller;

import cn.ibizhub.demo.demo.domain.MASTERONEET;
import cn.ibizhub.demo.demo.domain.SLAVEONEET;
import cn.ibizhub.demo.demo.service.MASTERONEETService;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.xml.ws.RequestWrapper;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
public class MASTERONEETcontroller {

    @Autowired
    private MASTERONEETService masteroneetService;

    @RequestMapping(value = "/addMASTERONEET",method = RequestMethod.GET)
    @ResponseBody
    public String addMASTERONEET(@RequestParam("str") String str){

        MASTERONEET masteroneet = new MASTERONEET();
        masteroneet.setMasteroneetname(str);

        SLAVEONEET slaveoneet = new SLAVEONEET();
        slaveoneet.setSlaveoneetname(str);
        masteroneet.addSLAVEONEET(slaveoneet);
        masteroneetService.addMASTERONEET(masteroneet);
        return "end";
    }

    @RequestMapping(value = "/deleteMASTERONEET",method = RequestMethod.GET)
    @ResponseBody
    public String deleteMASTERONEET( @RequestParam("id") String id , @RequestParam("slaveoneetid") String slaveoneetid ){

        MASTERONEET masteroneet = new MASTERONEET();
        masteroneet.setMasteroneetid(id);

        SLAVEONEET slaveoneet = new SLAVEONEET();
        slaveoneet.setSlaveoneetid(slaveoneetid);
        masteroneet.removeSLAVEONEET(slaveoneet);
        masteroneetService.deleteMASTERONEET(masteroneet);
        return "end";
    }

    @RequestMapping(value = "/updateMASTERONEET",method = RequestMethod.GET)
    @ResponseBody
    public String updateMASTERONEET(@RequestParam("str") String str,@RequestParam("id") String id){

        MASTERONEET masteroneet = new MASTERONEET();
        masteroneet.setMasteroneetid(id);
        masteroneet.setMasteroneetname(str);
        masteroneetService.updateMASTERONEET(masteroneet);
        return "end";
    }

    @RequestMapping(value = "/selectMASTERONEETall",method = RequestMethod.GET)
    @ResponseBody
    public String selectMASTERONEETall(){

        List<MASTERONEET> list = masteroneetService.selectMASTERONEETall();
        StringBuilder sb = new StringBuilder();
        for (MASTERONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectMASTERONEET",method = RequestMethod.GET)
    @ResponseBody
    public String selectMASTERONEET(@RequestParam("id") String id){

        MASTERONEET masteroneet = masteroneetService.selectMASTERONEET(id);
        return masteroneet.toString();
    }

	@RequestMapping(value = "/selectMASTERONEETMasteroneetnamelike",method = RequestMethod.GET)
    @ResponseBody
    public String selectMASTERONEETMasteroneetnamelike(@RequestParam("str") String str){

        List<MASTERONEET> list = masteroneetService.findByMasteroneetnameContaining(str);
        StringBuilder sb = new StringBuilder();
        for (MASTERONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }


}
