package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.MANYET;
import cn.ibizhub.demo.demo.service.MANYETService;
import cn.ibizhub.demo.demo.dao.MANYETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[MANYET] 服务对象接口实现
 */
@Transactional
@Service
public class MANYETServiceImpl implements MANYETService{

    @Autowired
    private MANYETDao manyetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addMANYET (MANYET manyet){
        manyetdao.save(manyet);
    }
    public void deleteMANYET (MANYET manyet){
        manyetdao.delete(manyet);
    }
    public void updateMANYET (MANYET manyet){
        manyetdao.save(manyet);
    }
    public List<MANYET> selectMANYETall (){
        return manyetdao.findAll();
    }
    public MANYET selectMANYET (String id){
        return manyetdao.findById(id).get();
    }

    public List<MANYET> findByManyetnameContaining(String param){
        return manyetdao.findByManyetnameContaining(param);
    }

    public List<MANYET> findByOneetid(String param){
        return manyetdao.findByOneetid(param);
    }


    public List<MANYET> Qbc(MANYET manyet){

        String str = "SELECT t FROM T_MANYET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(manyet.getManyetname()!=null&&!"".equals(manyet.getManyetname())){
            condition.append(" and ").append(" t.manyetname ").append(" like ").append("'").append("%").append(manyet.getManyetname()).append("%").append("'");
        }
        if(manyet.getOneetid()!=null&&!"".equals(manyet.getOneetid())){
            condition.append(" and ").append(" t.oneetid ").append(" = ").append("'").append(manyet.getOneetid()).append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<MANYET> persons = query.getResultList();
        return persons;
    }



    /**
     *Create
     * */
    //34775C9A-14F9-46C9-A6E7-5017BB461096
    public boolean Create (MANYET manyet)  {
        return false;
    }



    /**
     *Remove
     * */
    //3BAF0413-5B9C-474F-8E35-EF99FDD5E889
    public boolean Remove (MANYET manyet)  {
        return false;
    }



    /**
     *Get
     * */
    //4F0A9E3A-CA65-41DD-97AA-055207CA8F13
    public boolean Get (MANYET manyet)  {
        return false;
    }



    /**
     *CheckKey
     * */
    //5DEB80C3-E62C-4FD5-BD36-564523B64B79
    public boolean CheckKey (MANYET manyet)  {
        return false;
    }



    /**
     *GetDraft
     * */
    //A3503B6E-75BE-4E5B-B844-9EF60A257CD9
    public boolean GetDraft (MANYET manyet)  {
        return false;
    }



    /**
     *Save
     * */
    //DF6CF0C1-AC1B-4CEC-B247-27DF13CE6C4B
    public boolean Save (MANYET manyet)  {
        return false;
    }



    /**
     *Update
     * */
    //EDB1AC7E-FB6B-4865-B835-D0164477D1E2
    public boolean Update (MANYET manyet)  {
        return false;
    }

}