package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.MASTERONEET;
import cn.ibizhub.demo.demo.service.MASTERONEETService;
import cn.ibizhub.demo.demo.dao.MASTERONEETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[MASTERONEET] 服务对象接口实现
 */
@Transactional
@Service
public class MASTERONEETServiceImpl implements MASTERONEETService{

    @Autowired
    private MASTERONEETDao masteroneetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.save(masteroneet);
    }
    public void deleteMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.delete(masteroneet);
    }
    public void updateMASTERONEET (MASTERONEET masteroneet){
        masteroneetdao.save(masteroneet);
    }
    public List<MASTERONEET> selectMASTERONEETall (){
        return masteroneetdao.findAll();
    }
    public MASTERONEET selectMASTERONEET (String id){
        return masteroneetdao.findById(id).get();
    }

    public List<MASTERONEET> findByMasteroneetnameContaining(String param){
        return masteroneetdao.findByMasteroneetnameContaining(param);
    }


    public List<MASTERONEET> Qbc(MASTERONEET masteroneet){

        String str = "SELECT t FROM T_MASTERONEET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(masteroneet.getMasteroneetname()!=null&&!"".equals(masteroneet.getMasteroneetname())){
            condition.append(" and ").append(" t.masteroneetname ").append(" like ").append("'").append("%").append(masteroneet.getMasteroneetname()).append("%").append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<MASTERONEET> persons = query.getResultList();
        return persons;
    }



    /**
     *Remove
     * */
    //25347F9D-20E6-459A-A8B4-558333189465
    public boolean Remove (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *CheckKey
     * */
    //37A2FBE3-CFB7-4473-9B2E-A9077DB6B77E
    public boolean CheckKey (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *Save
     * */
    //635FC773-D2E1-4465-AE93-003486A01812
    public boolean Save (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *Get
     * */
    //6362C5E5-AC6B-438C-820C-111E6035787E
    public boolean Get (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *GetDraft
     * */
    //899690EE-2490-4BB1-9705-2FD6DA967ED8
    public boolean GetDraft (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *Create
     * */
    //94615F55-9268-4079-B270-C5F7A9059F04
    public boolean Create (MASTERONEET masteroneet)  {
        return false;
    }



    /**
     *Update
     * */
    //F3BE1336-4466-4F6F-BD09-125E2CCAB052
    public boolean Update (MASTERONEET masteroneet)  {
        return false;
    }

}