package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.ONEET;
import cn.ibizhub.demo.demo.service.ONEETService;
import cn.ibizhub.demo.demo.dao.ONEETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[ONEET] 服务对象接口实现
 */
@Transactional
@Service
public class ONEETServiceImpl implements ONEETService{

    @Autowired
    private ONEETDao oneetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addONEET (ONEET oneet){
        oneetdao.save(oneet);
    }
    public void deleteONEET (ONEET oneet){
        oneetdao.delete(oneet);
    }
    public void updateONEET (ONEET oneet){
        oneetdao.save(oneet);
    }
    public List<ONEET> selectONEETall (){
        return oneetdao.findAll();
    }
    public ONEET selectONEET (String id){
        return oneetdao.findById(id).get();
    }

    public List<ONEET> findByOneetnameContaining(String param){
        return oneetdao.findByOneetnameContaining(param);
    }


    public List<ONEET> Qbc(ONEET oneet){

        String str = "SELECT t FROM T_ONEET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(oneet.getOneetname()!=null&&!"".equals(oneet.getOneetname())){
            condition.append(" and ").append(" t.oneetname ").append(" like ").append("'").append("%").append(oneet.getOneetname()).append("%").append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<ONEET> persons = query.getResultList();
        return persons;
    }



    /**
     *Save
     * */
    //3B231127-6F7D-4E9D-9406-C6DA982B9F66
    public boolean Save (ONEET oneet)  {
        return false;
    }



    /**
     *Get
     * */
    //51C00D64-E5A9-4CF0-943C-9FBF8A1CCC7E
    public boolean Get (ONEET oneet)  {
        return false;
    }



    /**
     *GetDraft
     * */
    //84F9E6A5-867F-4175-8B83-9FAFDEDD5FFF
    public boolean GetDraft (ONEET oneet)  {
        return false;
    }



    /**
     *CheckKey
     * */
    //AC005854-17CF-48C1-8E89-DD92153FC12D
    public boolean CheckKey (ONEET oneet)  {
        return false;
    }



    /**
     *Create
     * */
    //AE3719F5-C773-4F77-AC1F-156E8C1C56E1
    public boolean Create (ONEET oneet)  {
        return false;
    }



    /**
     *Update
     * */
    //CB8E6FAA-C4AB-4126-B9E7-47BA91EFD839
    public boolean Update (ONEET oneet)  {
        return false;
    }



    /**
     *Remove
     * */
    //FD3F281D-37C4-4D1F-B2AE-AC311720DF5F
    public boolean Remove (ONEET oneet)  {
        return false;
    }

}